# -*- coding: utf-8 -*-
#:set ac_bg 224/256., 255/256., 255/256., 1
#:set ac_bg1 135/256., 206/256., 235/256., 1
#:set ac_bg2 245/256.0, 246/256.0, 250/256.0 ,1
#:set farsi_font_1 "data/Tahoma Regular font.ttf"
#:import strs strings
#:import SlideTransition kivy.uix.screenmanager.SlideTransition
#:include nav_menu_style.kv
#:include screens.kv
#:include kv.kv

<PassBox>:
    GridLayout:
        id: infs
        cols: 2
        size_hint: None, None
        size: (300,100)
        pos_hint: {'center_x': 0.5,'top':0.95}
        spacing: 5

        Label:
            text: "Username : "
            size_hint: None, None
            height: 50
            width: 120
            valign: 'center'
            halign: 'right'
            font_size: 25


        TextInput:
            id: user_text
            size_hint_y: None
            height: 40
            font_size: 20
            multiline: False
            write_tab: False


        Label:
            id: lb
            text: "Pass : "
            size_hint: None, None
            height: 50
            width: 120
            valign: 'center'
            halign: 'right'
            font_size: 26

        TextInput:
            id: pass_text
            size_hint_y: None
            height: 40
            multiline: False
            password: True
            font_size: 20
            write_tab: False
            on_text_validate: root.check_login(root.ids.user_text.text, root.ids.pass_text.text, root.parent.parent.parent)

    BoxLayout:
        size_hint: None, None
        size: (300,100)
        pos_hint:{'center_x':0.5,'top':0.25}
        padding: 5

        Button:
            text: 'Login'
            color: (0,0,0,1)
            font_size: 25
            bold: True
            background_normal: "data/login_btn.png"
            background_down: "data/login_btn_c.png"
            colspan:2
            on_press: root.check_login(root.ids.user_text.text, root.ids.pass_text.text, root.parent.parent.parent)


<Sc_mngr>:
    transition: SlideTransition()
    Documenter:
        id: documenter
    Tests:
        id: tests
    Testmode:
    Extractor:
        id: extractor
    Setting:
    Splash:
    Game:




<Main_screen>:
    orientation: 'vertical'

    BoxLayout:
        orientation: 'horizontal'
        id: action_bar
        opacity:0
        canvas.before:
            Color:
                rgba: 0,0,0,1
            Rectangle:
                size: self.size
                pos: self.pos
            Color:
                rgba: ac_bg1
            Rectangle:
                size: self.size[0],self.size[1]-2
                pos: self.pos[0],self.pos[1]+2

        size_hint: (1, None)
        height: 1






        GridLayout:
            id: online_inf
            cols: 8
            canvas.before:

                Color:
                    rgba: 0.4,0.4,0.4,0.4

                Line:
                    points: [(self.pos[0],self.pos[1]+8),(self.pos[0],self.pos[1]+self.size[1]-8)]
                    width: 1.5

            size_hint: (0.3,1)

            Label_f:
                id: Dt_bar_Data_1
                text: ""
                font_size: 16
                bold: True
                color: 0,0,0,1

            Label_f:
                id: Dt_bar_Data_1_title
                text: strs.birthdate
                font_size: 16
                color: 0,0,0,0.5

            Label_f:
                id: Dt_bar_group_name
                text: "No. 1"
                font_size: 18
                #bold: True
                color: 0,0,0,1

            Label_f:
                id: Dt_bar_group_name_title
                text: strs.group
                font_size: 16
                color: 0,0,0,0.5

            Label_f:
                id: Dt_bar_Data_2
                text: "Data2"
                font_size: 18
                color: 0,0,0,1

            Label_f:
                id: Dt_bar_Data_2_title
                text: strs.sex
                font_size: 16
                color: 0,0,0,0.5

            Label_f:
                id: Dt_bar_Per_name
                text: "Per. 1"
                font_size: 18
                color: 0,0,0,1

            Label_f:
                id: Dt_bar_Per_name_title
                text: strs.name
                font_size: 16
                color: 0,0,0,0.5






    BoxLayout:

        BoxLayout:
            siz_hint: (0.7,1)

            canvas.before:
                Color:
                    rgba: 0,1,0,0
                Rectangle:
                    size: self.size
                    pos: self.pos

            Sc_mngr:
                id: sc_manager





        BoxLayout:
            id: nav
            size_hint: (0.3,1)
            canvas.before:
                Color:
                    rgba: 0.5,0.5,0.5,1
                Rectangle:
                    size: self.size
                    pos: self.pos
                Color:
                    rgba: ac_bg
                Rectangle:
                    size: self.size[0]-2,self.size[1]
                    pos: self.pos[0]+2,self.pos[1]

            Nav_Menue:
                size_hint: (0.9,0.9)
                pos_hint:{'center_x':0.5, 'center_y':0.5}
                Menutitle:
                    id: tpp_1
                    text: strs.tashkil
                    menid: "tpp_1"
                    pic: "data/icons/documenter.png"
                    on_press: app.root.ids.sc_manager.current= "Documenter"


                Menutitle:
                    id: tpp_2
                    text: strs.extract
                    menid: "tpp_2"
                    pic: "data/icons/extractor.png"
                    on_press: app.root.ids.sc_manager.current= "Extractor"


                Menutitle:
                    id: tpp_3
                    text: strs.about_us_o
                    menid: "tpp_3"
                    pic: "data/icons/about_us.png"
                    on_press: app.root.ids.sc_manager.current= "Setting"

                Menutitle:
                    id: tpp_4
                    text: strs.setting
                    menid: "tpp_4"
                    pic: "data/icons/setting.png"
                    on_press: app.root.ids.sc_manager.current= "Testmode"
